//
//  TicketViewController.m
//  bart
//
//  Created by Vidya on 2/24/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "TicketViewController.h"
#import "InsertMoneyViewController.h"
#import "PriceViewController.h"

@implementation TicketViewController
 
@synthesize imvc; 
@synthesize price; 

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	self.navigationItem.title = @"Tickets"; 
	[[self navigationController] navigationBar].barStyle = UIBarStyleBlack; 
	[[self navigationController] navigationBar].translucent = YES;
	UIBarButtonItem *addButton = [[[UIBarButtonItem alloc] initWithTitle:NSLocalizedString(@"Step #2", @"")
																   style:UIBarButtonItemStyleBordered
																  target:self
																  action:@selector(toInsertMoney:)] autorelease];
	self.navigationItem.rightBarButtonItem = addButton;
	self.navigationItem.rightBarButtonItem.enabled = YES;
	[super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[imvc release]; 
	[price release]; 
    [super dealloc];
}

-(void)toInsertMoney:(id)sender {
	NSLog(@"imvc"); 
	imvc = [[InsertMoneyViewController alloc] initWithNibName:@"InsertMoneyViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:imvc animated:YES]; 
}

-(void)toPrice:(id)sender { 
	NSLog(@"price"); 
	price = [[PriceViewController alloc] initWithNibName:@"PriceViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:price animated:YES]; 
}

@end
