//
//  WelcomeViewController.m
//  bart
//
//  Created by Vidya on 2/18/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "WelcomeViewController.h"
#import "NextTrainViewController.h"
#import "TicketViewController.h"

@implementation WelcomeViewController

@synthesize ntvc, tvc; 
/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	self.navigationItem.title = @"Welcome"; 
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}
- (void)viewWillAppear:(BOOL)animated {
	[self navigationController].navigationBarHidden = YES;
	[super viewWillAppear:animated]; 
}

- (void)viewWillDisappear:(BOOL)animated {
	NSLog(@"view will disappear"); 
	[self navigationController].navigationBarHidden = NO; 
	[[self navigationController] navigationBar].barStyle = UIBarStyleBlack; 
	[[self navigationController] navigationBar].translucent = YES;
	[super viewWillDisappear:animated];
}

-(IBAction)toNextTrain:(id)sender {
	NSLog(@"to next train was called"); 
	ntvc = [[NextTrainViewController alloc] initWithNibName:@"NextTrainViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:ntvc animated:YES]; 
}

-(IBAction)toNewbies:(id)sender {
	tvc = [[TicketViewController alloc] initWithNibName:@"TicketViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:tvc animated:YES];
}

- (void)dealloc {
	[ntvc release];
	[tvc release]; 
    [super dealloc];
}

- (void)motionBegan:(UIEventSubtype)motion withEvent:(UIEvent *)event
{
	[self toNextTrain:self]; 
}

- (BOOL)canBecomeFirstResponder {
    return YES;	
}

- (void)viewDidAppear:(BOOL)animated {
    [self becomeFirstResponder];
	[super viewDidAppear:animated]; 
}

-(void)viewDidDisappear:(BOOL)animated {
	[self resignFirstResponder]; 
	[super viewDidDisappear:animated]; 
}

@end
