//
//  bartAppDelegate.h
//  bart
//
//  Created by Vidya on 2/18/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface bartAppDelegate : NSObject <UIApplicationDelegate, UITabBarControllerDelegate> {
    UIWindow *window;
    UITabBarController *tabBarController;
	UINavigationController *navigationController;
	
	int priceDestination; 
	int priceSource;
	int priceSelected; 
	
	NSArray *arrayKeys; 
	NSDictionary *dict;
	NSArray *arrayValues; 
	
	NSUserDefaults *prefs;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet UITabBarController *tabBarController;
@property (nonatomic, retain) IBOutlet UINavigationController *navigationController;
@property (nonatomic, retain) NSArray *arrayKeys; 
@property (nonatomic, retain) NSArray *arrayValues; 
@property (nonatomic, retain) NSDictionary *dict; 
@property (nonatomic, retain) NSUserDefaults *prefs; 
-(void)setPriceDestination:(int)pd; 
-(void)setPriceSource:(int)ps; 
-(void)setPriceSelected:(int)ps; 
-(int)getPriceSelected; 
-(int)getPriceSource;
-(int)getPriceDestination; 
-(NSArray *)getArrayKeys; 
-(NSArray *)getArrayValues; 
-(void)refreshList; 
-(NSDictionary *)getDictionary; 

@end

//the image for the tickets was : http://www.ci.richmond.ca.us/images/pages/N1859//BART%20tickets.jpg
//the image for the train was : http://farm1.static.flickr.com/218/463602474_7dd3194195.jpg