//
//  NextTrainViewController.m
//  bart
//
//  Created by Vidya on 3/1/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "NextTrainViewController.h"
#import "SelectPriceViewController.h"


@implementation NextTrainViewController

@synthesize spvc;
@synthesize departure; 
@synthesize time1; 
@synthesize eta; 
@synthesize destination; 

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	self.navigationItem.title = @"Next Train"; 
	[[self navigationController] navigationBar].barStyle = UIBarStyleBlack; 
	[[self navigationController] navigationBar].translucent = YES;
	appDelegate = (bartAppDelegate *)[[UIApplication sharedApplication] delegate];
	[self theNextTrain:self]; 
    [super viewDidLoad];
}

- (void)viewWillAppear:(BOOL)animated {
	[self theNextTrain:self]; 
	[super viewWillAppear:animated]; 
}

-(void)theNextTrain:(id)sender {
	NSArray *abbrvs = [[NSArray alloc] initWithArray:[appDelegate getArrayValues]]; 
	NSArray *stats = [[NSArray alloc] initWithArray:[appDelegate getArrayKeys]]; 
	int dep = [appDelegate getPriceSource]; 
	int arr = [appDelegate getPriceDestination]; 
	
	departure.text = [[NSString alloc] initWithString:[stats objectAtIndex:dep]]; 
	destination.text = [[NSString alloc] initWithString:[stats objectAtIndex:arr]]; 
	NSString *depStation = [[NSString alloc] initWithString:[abbrvs objectAtIndex:dep]];
	NSString *arrStation = [[NSString alloc] initWithString:[abbrvs objectAtIndex:arr]]; 
	NSString *string = [[NSString alloc] initWithString:@"http://api.bart.gov/api/sched.aspx?cmd=depart&orig="];
	NSString *stringTwo = [[NSString alloc] initWithString:@"&dest="]; 
	NSString *stringThree = [[NSString alloc] initWithString:@"&date=now&key=MW9S-E7SL-26DU-VV8V&b=0&a=1&l=0"]; 

	NSMutableString *finalString = [[NSMutableString alloc] initWithString:string]; 
	[finalString appendString:depStation]; 
	[finalString appendString:stringTwo]; 
	[finalString appendString:arrStation]; 
	[finalString appendString:stringThree]; 
	
	NSURL *url = [[NSURL alloc] initWithString:finalString]; 
	NSXMLParser *parser = [[NSXMLParser alloc] initWithContentsOfURL:url]; 
	[parser setDelegate:self]; 
	[parser parse];
	
										
	[depStation release]; 
	[arrStation release]; 
	[string release]; 
	[stringTwo release]; 
	[stringThree release]; 
	[finalString release]; 
	[url release]; 
}

- (void)parser:(NSXMLParser *)parser didStartElement:(NSString *)elementName 
  namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qualifiedName attributes:(NSDictionary *)attributeDict {
	NSRange textRange;
	
	textRange =[elementName rangeOfString:@"trip"];
	
	if(textRange.location != NSNotFound) {
		trip = true; 
		if(attributeDict != nil) {
			NSString *someString = [[NSString alloc] initWithString:[attributeDict objectForKey:@"origTimeMin"]];
			time1.text = someString; 
			[someString release]; 
			NSString *someString2 = [[NSString alloc] initWithString:[attributeDict objectForKey:@"destTimeMin"]];
			eta.text = someString2;
			[someString2 release]; 
 		}
	}
}

-(void)toSelectPrice:(id)sender {
	spvc = [[SelectPriceViewController alloc] initWithNibName:@"SelectPriceViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:spvc animated:YES]; 
}
/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[eta release]; 
	[spvc release];
	[departure release];
	[time1 release]; 
	[destination release]; 
	[super dealloc];
}


@end
