//
//  TransferPointsViewController.m
//  bart
//
//  Created by Vidya on 3/1/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "TransferPointsViewController.h"
#import "AmtrakViewController.h"
#import "MuniViewController.h"
#import "CalTrainViewController.h"
#import "ACTransitViewController.h"

@implementation TransferPointsViewController

@synthesize actvc; 
@synthesize mvc;
@synthesize ctvc;
@synthesize avc; 

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[actvc release]; 
	[mvc release];
	[avc release]; 
	[ctvc release]; 
    [super dealloc];
}

- (void)toMuni:(id)sender {
	mvc = [[MuniViewController alloc] initWithNibName:@"MuniViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:mvc animated:YES]; 
}

- (void)toACTransit:(id)sender {
	actvc = [[ACTransitViewController alloc] initWithNibName:@"ACTransitViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:actvc animated:YES]; 
}

- (void)toAmtrak:(id)sender {
	avc = [[AmtrakViewController alloc] initWithNibName:@"AmtrakViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:avc animated:YES]; 
}

- (void)toCalTrain:(id)sender {
	ctvc = [[CalTrainViewController alloc] initWithNibName:@"CalTrainViewController" bundle:[NSBundle mainBundle]]; 
	[[self navigationController] pushViewController:ctvc animated:YES]; 
}

@end
